task prepareaa {

  File dedup_bam
  File dedup_bamindex
  String sample_name
  String sample_id
  String docker
  String cluster_config
  String disk_size
  command <<<
    set -o pipefail
    set -e 
    #export MOSEKPLATFORM=linux64x86
    #PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/home/programs/mosek/8/tools/platform//bin
    #export LD_LIBRARY_PATH=:/home/programs/mosek/8/tools/platform//bin
    #export LD_LIBRARY_PATH=:/home/programs/mosek/8/tools/platform/linux64x86/bin
    export AA_DATA_REPO=/home/data_repo
    export AA_SRC=/home/programs/AmpliconArchitect-master/src
    export MOSEKLM_LICENSE_FILE=/home/programs/mosek/8/licenses
    export NCM_HOME=/home/programs/NGSCheckMate-master/ 
                
    mkdir -p /home/output/${sample_id}
    cd /home/output/
    /home/programs/PrepareAA-master/PrepareAA.py -s ${sample_name} -t 20 --cnvkit_dir /home/programs/cnvkit.py --sorted_bam ${dedup_bam} --run_AA --ref GRCh38 -o ${sample_id}
    find . -depth > fileList.txt
  >>>

  runtime {
    docker: docker
    cluster: cluster_config
    systemDisk: "cloud_ssd 40"
    dataDisk: "cloud_ssd " + disk_size + " /cromwell_root/"
  }
  output {

      File fileList = "fileList.txt"
      Array[File]  cnvkit_output= glob("${sample_id}/cnvkit_output/*")
      Array[File]  aa_result= glob("${sample_id}/${sample_id}_AA_results/*")
      File seedbed = "${sample_id}/${sample_id}_AA_CNV_SEEDS.bed"

    
  }
}
